uses
  testlib, sysutils;

function wrap(const s : string):string;
begin
	if (length(s) <= 10) then
		result := s
	else
		result := copy(s, 1, 5) + '...' + copy(s, length(s) - 5, 5);
end;

var
  ja, pa: string;
  i: longint;
  l: longint;

begin 
  pa := ouf.readstring;
  ja := ans.readstring;

  if pa <> ja then	quit(_wa, 'Expected: "' + wrap(ja) + '", found: "' + wrap(pa) + '"');

  if (not ouf.seekEof) then
  	quit(_wa, 'Extra lines!');

  quit(_ok, 'Ok' );
end.